@import url("https://fonts.googleapis.com/css?family=Open+Sans:400,700");

* {
  box-sizing: border-box;
}

body {
  padding: 0;
  margin: 0;
  font-family: "Open Sans", sans-serif;
}

main {
  padding: 1rem;
  margin: auto;
}

form {
  display: inline;
}

.centered {
  text-align: center;
}

.image {
  height: 20rem;
}

.image img {
  height: 100%;
}

.main-header {
  width: 100%;
  height: 3.5rem;
  background-color: var(--main-color);
  padding: 0 1.5rem;
  display: flex;
  align-items: center;
}

.main-header__nav {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.main-header__item-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
}

.main-header__item {
  margin: 0 1rem;
  padding: 0;
}

.main-header__item a {
  text-decoration: none;
  color: var(--white);
}

.main-header__item a:hover,
.main-header__item a:active,
.main-header__item a.active {
  color: var(--accent-color);
}

.mobile-nav {
  width: 30rem;
  height: 100vh;
  max-width: 90%;
  position: fixed;
  left: 0;
  top: 0;
  background: var(--white);
  z-index: 10;
  padding: 2rem 1rem 1rem 2rem;
  transform: translateX(-100%);
  transition: transform 0.3s ease-out;
}

.mobile-nav.open {
  transform: translateX(0);
}

.mobile-nav__item-list {
  list-style: none;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
}

.mobile-nav__item {
  margin: 1rem;
  padding: 0;
}

.mobile-nav__item a {
  text-decoration: none;
  color: var(--black);
  font-size: 1.5rem;
  padding: 0.5rem 2rem;
}

.mobile-nav__item a:active,
.mobile-nav__item a:hover,
.mobile-nav__item a.active {
  background: var(--main-color);
  color: var(--white);
  border-radius: 3px;
}

#side-menu-toggle {
  border: 1px solid var(--white);
  font: inherit;
  padding: 0.5rem;
  display: block;
  background: transparent;
  color: var(--white);
  cursor: pointer;
}

#side-menu-toggle:focus {
  outline: none;
}

#side-menu-toggle:active,
#side-menu-toggle:hover {
  color: var(--accent-color);
  border-color: var(--accent-color);
}

.backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  z-index: 5;
  display: none;
}

.grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: stretch;
}

.card {
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
  margin: 0.5rem;
}

.card__header,
.card__content {
  padding: 1rem;
}

.card__header h1,
.card__content h1,
.card__content h2,
.card__content p {
  margin: 0;
}

.card__image {
  width: 100%;
}

.card__image img {
  width: 100%;
}

.card__actions {
  padding: 1rem;
  text-align: center;
}

.card__actions button,
.card__actions a {
  margin: 0 0.25rem;
}

.btn {
  display: inline-block;
  padding: 0.25rem 1rem;
  text-decoration: none;
  font: inherit;
  border: 1px solid var(--main-color);
  color: var(--main-color);
  background: var(--white);
  border-radius: 3px;
  cursor: pointer;
}

.btn:hover,
.btn:active {
  background-color: var(--main-color);
  color: var(--white);
}

.user-message {
  margin: auto;
  width: 30%;
  border: 1px solid rgb(0, 9, 139);
  padding: 1rem;
  border-radius: 3px;
  background: rgb(200, 200, 255);
}

.user-message + .user-message {
  margin-top: 0.3rem;
}

.user-message--error {
  border: 1px solid rgb(139, 0, 0);
  background: rgb(255, 210, 210);
}

.pagination {
  text-align: center;
  margin-top: 2rem;
}

.pagination a {
  text-decoration: none;
  color: var(--main-dark-color);
  padding: 0.5rem;
  border: 1px solid var(--main-dark-color);
  margin: 1rem;
}

.pagination a:hover,
.pagination a:active,
.pagination a.active {
  background: var(--main-color);
  color: var(--white);
}

@media (min-width: 768px) {
  .main-header__nav {
    display: flex;
  }

  #side-menu-toggle {
    display: none;
  }

  user-message {
    margin: auto;
    width: 30rem;
  }
}
